Print

Print


Hi,

We recently upgraded to using lcsim 2.0-SNAPSHOT, which uses a new FreeHep library version for the record loop backend.  If you see strange issues building hps-java, such as missing Maven jars, then you likely will need to update hps-java/pom.xml and rebuild.  I have deployed the updated libraries for lcsim-parent, GeomConverter, and lcsim, so the upgrade should be relatively seemless provided that you do this.  The correct jar files should be downloaded automatically by the Maven build.

The old versions of JAS3 will not work with the updated library.  So you will need to use one of the new distributions, such as this one.

http://java.freehep.org/maven2/org/freehep/jas-assembly/0.9.4/jas-assembly-0.9.4-distribution.tar.gz

There is no installer, but this file can be downloaded, decompressed using 'tar -zxf', and run out of the box.

If there are any questions about all of this, please let me know.  Sending to the list is fine, as other people might have similar questions.

--Jeremy

########################################################################
Use REPLY-ALL to reply to list

To unsubscribe from the HPS-SOFTWARE list, click the following link:
https://listserv.slac.stanford.edu/cgi-bin/wa?SUBED1=HPS-SOFTWARE&A=1